# Uses of Enum
org.eclipse.birt.chart.model.attribute.TriggerFlow

Packages that use TriggerFlow
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of TriggerFlow in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type TriggerFlow
Modifier and Type
Field
Description
`static final List<TriggerFlow>`
TriggerFlow.`VALUES`
A public read-only list of all the 'Trigger Flow' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return TriggerFlow
Modifier and Type
Method
Description
`static TriggerFlow`
TriggerFlow.`get(int value)`
Returns the 'Trigger Flow' literal with the specified integer value.
`static TriggerFlow`
TriggerFlow.`get(String literal)`
Returns the 'Trigger Flow' literal with the specified literal value.
`static TriggerFlow`
TriggerFlow.`getByName(String name)`
Returns the 'Trigger Flow' literal with the specified name.
`static TriggerFlow`
TriggerFlow.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TriggerFlow[]`
TriggerFlow.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of TriggerFlow in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return TriggerFlow
Modifier and Type
Method
Description
`TriggerFlow`
AttributeFactoryImpl.`createTriggerFlowFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`TriggerFlow`
AttributeFactoryImpl.`createTriggerFlowObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`

## Uses of TriggerFlow in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return TriggerFlow
Modifier and Type
Method
Description
`TriggerFlow`
Trigger.`getTriggerFlow()`
Returns the value of the 'Trigger Flow' attribute.
Methods in org.eclipse.birt.chart.model.data with parameters of type TriggerFlow
Modifier and Type
Method
Description
`void`
Trigger.`setTriggerFlow(TriggerFlow value)`
Sets the value of the '`Trigger Flow`' attribute.

## Uses of TriggerFlow in org.eclipse.birt.chart.model.data.impl

Methods in org.eclipse.birt.chart.model.data.impl that return TriggerFlow
Modifier and Type
Method
Description
`TriggerFlow`
TriggerImpl.`getTriggerFlow()`
Methods in org.eclipse.birt.chart.model.data.impl with parameters of type TriggerFlow
Modifier and Type
Method
Description
`void`
TriggerImpl.`setTriggerFlow(TriggerFlow newTriggerFlow)`